#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_position;

uniform sampler2D CC_Texture00;

#define CloudUnit0 CC_Texture00

uniform vec3 CC_Tint;

vec4 getCloudPixel()
{
    vec2 position = vec2(v_position.x + CC_Time.r, v_position.y + CC_Time.r);
    vec4 cloud1 = texture2D(CloudUnit0, position);
    vec2 flippedPosition = vec2(CC_Time.g - v_position.x, CC_Time.g - v_position.y);
    vec4 cloud2 = vec4(texture2D(CloudUnit0, flippedPosition).rgb, 0.8);

    float ratio = (CC_SinTime.a + 1.0) / 2.0;
    float antiRatio = (1.0 - ratio);

    vec4 mixedPixel = (cloud1 * ratio) + (cloud2 * antiRatio);
    vec4 c = mixedPixel;
    
    return c;
}

vec3 getPureCloudPixel()
{
    vec4 cloudPixel = getCloudPixel();
    vec3 cloudComponent = cloudPixel.rgb * cloudPixel.a;
    vec3 landComponent = vec3(0.87, 0.93, 0.92) * (1.0 - cloudPixel.a);
    vec3 combined = cloudComponent + landComponent;
    
    return combined;
}

void main()
{
    vec4 pixel = vec4(getPureCloudPixel(), 1.0);
    pixel.rgb = (CC_Tint * pixel.rgb) * pixel.a;
    gl_FragColor = pixel;
}