#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
varying float v_texUnit;

uniform sampler2D CC_Texture00;
uniform sampler2D CC_Texture01;
uniform sampler2D CC_Texture02;
uniform sampler2D CC_Texture03;
uniform sampler2D CC_Texture04;
uniform sampler2D CC_Texture05;
uniform sampler2D CC_Texture06;
uniform sampler2D CC_Texture07;

uniform vec3 CC_Tint;

vec4 getTexUnitPixel()
{
    if (v_texUnit < .003)
        return texture2D(CC_Texture00, v_texCoord);
    else if (v_texUnit < .007)
        return texture2D(CC_Texture01, v_texCoord);
    else if (v_texUnit < .011)
        return texture2D(CC_Texture02, v_texCoord);
    else if (v_texUnit < .015)
        return texture2D(CC_Texture03, v_texCoord);
    else if (v_texUnit < .019)
        return texture2D(CC_Texture04, v_texCoord);
    else if (v_texUnit < .023)
        return texture2D(CC_Texture05, v_texCoord);
    else if (v_texUnit < .027)
        return texture2D(CC_Texture06, v_texCoord);
    else // if (v_texUnit < .031)
        return texture2D(CC_Texture07, v_texCoord);
}

void main()
{
    vec4 pixel = getTexUnitPixel();
    pixel.rgb = (CC_Tint * pixel.rgb) * pixel.a;
    gl_FragColor = pixel;
}